Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class DriversListModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.crosswire.bibledesktop.book.DriversListModel

All Implemented Interfaces:
  Serializable, ListModel

Direct Known Subclasses:
  DriversComboBoxModel

    public class DriversListModel

extends AbstractListModel

A ListModel that shows the regestered BookDrivers.

DriversListModel can be set to read-only mode where it will display only the BookDrivers that can receive new Book data.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: DriversListModel.java,v 1.5 2005/03/06 20:21:36 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Nested Class Summary
`static class` | `DriversListModel.BibleListCellRenderer` A custom list view that paints icons alongside the words.

Field Summary
`protected BookDriver[]` | `drivers` The array of drivers
`protected static Border` | `NO_FOCUS_BORDER` border if we do not have focus
`private static long` | `serialVersionUID` Serialization ID
`protected static Icon` | `SMALL_ICON` The small version icon

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`DriversListModel()` Basic constructor
`DriversListModel(boolean includeRo)` Basic constructor

Method Summary
`BookDriver` | `getDriver(Object test)` Given an item, work out the name of the Driver that it represents
`String` | `getDriverName(Object test)` Given an item, work out the name of the Bible that it represents
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`int` | `getIndexOf(Object test)` Returns the index-position of the specified object in the list.
`static ListCellRenderer` | `getListCellRenderer()` Create a BookListCellRenderer
`int` | `getSize()` Returns the length of the list.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### drivers

    protected BookDriver[] drivers

  The array of drivers

### SMALL_ICON

    protected static final Icon SMALL_ICON

  The small version icon

### NO_FOCUS_BORDER

    protected static final Border NO_FOCUS_BORDER

  border if we do not have focus

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### DriversListModel

    public DriversListModel(boolean includeRo)

  Basic constructor

### DriversListModel

    public DriversListModel()

  Basic constructor

Method Detail

### getSize

    public int getSize()

  Returns the length of the list.

### getElementAt

    public Object getElementAt(int index)

  Returns the value at the specified index.

### getDriverName

    public String getDriverName(Object test)

  Given an item, work out the name of the Bible that it represents

  Parameters:
    `test` - The item from the list
  Returns:
    A Bible name

### getDriver

    public BookDriver getDriver(Object test)

  Given an item, work out the name of the Driver that it represents

  Parameters:
    `test` - The item from the list
  Returns:
    A Driver

### getIndexOf

    public int getIndexOf(Object test)

  Returns the index-position of the specified object in the list.

  Parameters:
    `test` - the object to find
  Returns:
    an int representing the index position, where 0 is the first position

### getListCellRenderer

    public static ListCellRenderer getListCellRenderer()

  Create a BookListCellRenderer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD